Loading...
Searching...
No Matches
Opm::BlackOilDiffusionExtensiveQuantities< TypeTag, true > Class Template Reference

Provides the quantities required to calculate diffusive mass fluxes. More...

`#include <blackoildiffusionmodule.hh>`

## Public Types

using | EvaluationArray = std::array<std::array<Evaluation, numComponents>, numPhases>

## Public Member Functions

Scalar | diffusivity () const
| The diffusivity of the face.
const Evaluation & | effectiveDiffusionCoefficient (unsigned phaseIdx, unsigned compIdx) const
| The effective diffusion coefficient of a component in a fluid phase at the face's integration point.
const auto & | effectiveDiffusionCoefficient () const
const Evaluation & | effectiveBioDiffCoefficient (unsigned compIdx) const
const auto & | effectiveBioDiffCoefficient () const

## Static Public Member Functions

static void | update (EvaluationArray &effectiveDiffusionCoefficient, const IntensiveQuantities &intQuantsInside, const IntensiveQuantities &intQuantsOutside)
static void | updateBio (std::array< Evaluation, numBioInWat > &effectiveBioDiffCoefficient, const IntensiveQuantities &intQuantsInside, const IntensiveQuantities &intQuantsOutside)

## Protected Member Functions

void | update_ (const ElementContext &elemCtx, unsigned faceIdx, unsigned timeIdx)
| Update the quantities required to calculate the diffusive mass fluxes.
template<class Context, class FluidState>
void | updateBoundary_ (const Context &, unsigned, unsigned, const FluidState &)

## Detailed Description

template<class TypeTag>
class Opm::BlackOilDiffusionExtensiveQuantities< TypeTag, true >

Provides the quantities required to calculate diffusive mass fluxes.

## Member Function Documentation

## diffusivity()

template<class TypeTag>

Scalar Opm::BlackOilDiffusionExtensiveQuantities< TypeTag, true >::diffusivity | ( |  | ) | const

inline

The diffusivity of the face.

## effectiveDiffusionCoefficient()

template<class TypeTag>

const Evaluation & Opm::BlackOilDiffusionExtensiveQuantities< TypeTag, true >::effectiveDiffusionCoefficient | ( | unsigned | phaseIdx,
|  | unsigned | compIdx ) const

inline

The effective diffusion coefficient of a component in a fluid phase at the face's integration point.

The documentation for this class was generated from the following file:

- opm/models/blackoil/blackoildiffusionmodule.hh